package kv;

public class KvQueryResp {
    int kvStatus;
    String kvKey;
    String kvValue;
    String txId;
    long blockHeight;
    String txTime;

    public KvQueryResp() {
    }

    public KvQueryResp(int kvStatus, String kvKey, String kvValue, String txId, long blockHeight, String txTime) {
        this.kvStatus = kvStatus;
        this.kvKey = kvKey;
        this.kvValue = kvValue;
        this.txId = txId;
        this.blockHeight = blockHeight;
        this.txTime = txTime;
    }

    @Override
    public String toString() {
        return "KvQueryResp{" +
                "kvStatus=" + kvStatus +
                ", kvKey='" + kvKey + '\'' +
                ", kvValue='" + kvValue + '\'' +
                ", txId='" + txId + '\'' +
                ", blockHeight=" + blockHeight +
                ", txTime='" + txTime + '\'' +
                '}';
    }

    public int getKvStatus() {
        return kvStatus;
    }

    public void setKvStatus(int kvStatus) {
        this.kvStatus = kvStatus;
    }

    public String getKvKey() {
        return kvKey;
    }

    public void setKvKey(String kvKey) {
        this.kvKey = kvKey;
    }

    public String getKvValue() {
        return kvValue;
    }

    public void setKvValue(String kvValue) {
        this.kvValue = kvValue;
    }

    public String getTxId() {
        return txId;
    }

    public void setTxId(String txId) {
        this.txId = txId;
    }

    public long getBlockHeight() {
        return blockHeight;
    }

    public void setBlockHeight(long blockHeight) {
        this.blockHeight = blockHeight;
    }

    public String getTxTime() {
        return txTime;
    }

    public void setTxTime(String txTime) {
        this.txTime = txTime;
    }
}
